<script setup lang="ts">
import { useRouter } from 'vue-router';
import { app_ready, app_routes } from '~/store/app';
import { watch } from 'vue';


const router = useRouter()
watch(
  () => app_ready.value,
  (val) => {
    if (val) {
      router.push({ name: app_routes.value?.[0]?.name })
    }
  },
  {
    immediate: true
  }
)


</script>

<template>
  <div :loading="true" class="w-screen h-screen"></div>
</template>
